#ifndef CONN_ENGINE_EPOLL_H
#define CONN_ENGINE_EPOLL_H

#ifdef EPOLL_FOUND

#include <sys/epoll.h>

#include <Conn_engine_core.h>

extern int		Conn_epoll_init(void);
extern int		Conn_epoll_shutdown(void);
extern int		Conn_epoll_grow(unsigned int alloc);
extern int		Conn_epoll_add_obj(struct Conn *C);
extern int		Conn_epoll_del_obj(struct Conn *C);
extern int		Conn_epoll_chg_obj(struct Conn *C);
extern int		Conn_epoll_poll(const int timeout2, void (*cb)(const unsigned int slot,
				const int revents));
extern int		Conn_epoll_move_slot(const unsigned int dst,
				const unsigned int src);

#endif

#endif
